<template>
  <div id="app">
    <app-layout>
      <router-view></router-view>
    </app-layout>
  </div>
</template>

<script>
export default {
  name: "app",
  data() {
    let dataList = [];
    for (let index = 0; index < 20; index++) {
      dataList[index] = {
        id: index,
        name: "asdad"
      };
    }
    return {
      filters: {},
      dataList: dataList,
      selectVal: "",
      pagination: {
        pageNum: 1,
        pageSize: 10,
        total: 123
      }
    };
  },
  methods: {
    changePage(index) {
      console.log(index);
    },
    changeSizeHandle(size) {
      console.log(size);
    }
  }
};
</script>

<style lang="scss">
.components-demo-wrap {
  width: 500px;
  margin: 50px auto;
}
</style>

